Package com.sun.jna.platform.win32

# Class WinNT.GENERIC_MAPPING

java.lang.Object
com.sun.jna.Structure
com.sun.jna.platform.win32.WinNT.GENERIC_MAPPING

Direct Known Subclasses:
  `WinNT.GENERIC_MAPPING.ByReference`

Enclosing interface:
  WinNT

@FieldOrder({"genericRead","genericWrite","genericExecute","genericAll"}) public static class WinNT.GENERIC_MAPPING extends Structure
Defines the mapping of generic access rights to specific and standard access rights for an object

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `WinNT.GENERIC_MAPPING.ByReference`

  ## Nested classes/interfaces inherited from class com.sun.jna.Structure

  `Structure.ByValue, Structure.FieldOrder, Structure.StructField`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `WinDef.DWORD`
  `genericAll`
  `WinDef.DWORD`
  `genericExecute`
  `WinDef.DWORD`
  `genericRead`
  `WinDef.DWORD`
  `genericWrite`

  ### Fields inherited from class com.sun.jna.Structure

  `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GENERIC_MAPPING()`

- ## Method Summary

  ### Methods inherited from class com.sun.jna.Structure

  `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### genericRead

    public WinDef.DWORD genericRead

  - ### genericWrite

    public WinDef.DWORD genericWrite

  - ### genericExecute

    public WinDef.DWORD genericExecute

  - ### genericAll

    public WinDef.DWORD genericAll

- ## Constructor Details

  - ### GENERIC_MAPPING

    public GENERIC_MAPPING()